/*	***************************************************************************

	PROJECT:	Joker
	
	FILE:		JokerMain.h
	
	PURPOSE:	Prototypes for functions that are needed or implemented by the
				platform-specific JokerMain files.
		
	COPYRIGHT:	(C) Copyright 1999 by M. Uli Kusterer, all rights reserved.
				
	REACH ME AT:
				E-MAIL:		witness@weblayout.com
				URL:		http://www.weblayout.com/witness
	
	
	REVISIONS:
		2000-10-27	UK		Created.
				
	************************************************************************ */

#pragma mark [Constants]

/* --------------------------------------------------------------------------------
	Constants:
   ----------------------------------------------------------------------------- */

/* These are a few constants that can be used to output version information
	at startup or in an about screen:
	Some platform-specific header (like a prefix file) should define three
	additional constants, JOKER_PLATFORM_NAME which is e.g. "Windows",
	"Macintosh", "Solaris" or something like that, JOKER_PLATFORM_FIX_NUMBER
	which is an integer identifying changes to the platform-specific
	parts, and JOKER_PLATFORM_COPYRIGHT which is a copyright message for
	the person(s) who wrote the port, beginning with their names. */

#define		JOKER_VERSION_NUMBER		"0.7"
#define		JOKER_RELEASE_DATE			"01/14/2002"	// 14th of January in US writing.
// #define	JOKER_PLATFORM_NAME			"Sample Platform"
// #define	JOKER_PLATFORM_FIX_NUMBER	0
// #define	JOKER_PLATFORM_COPYRIGHT	"Joe Average, (c) 2001."

#pragma mark [Prototypes]

/* --------------------------------------------------------------------------------
	Prototypes:
   ----------------------------------------------------------------------------- */

int		JokerMain( int argc, char* argv[] );
void	JokerSpendTime();





